/*---------------------------------------------------------------------------
Copyright (C) GeoLib.
This code is used under license from GeoLib (www.geolib.co.uk). This or
any modified versions of this cannot be resold to any other party.
---------------------------------------------------------------------------*/

/**--------------------------------------------------------------------------<BR>
\file ProgressUpdater.h
\brief Interface for a progress updater e.g. progress bar.
<P>---------------------------------------------------------------------------*/

#ifdef _VIEW_EXPORTING
	#define VIEW_DECLSPEC		__declspec(dllexport)
#else 
	#ifdef _STATIC
		#define VIEW_DECLSPEC
	#else
		#define VIEW_DECLSPEC		__declspec(dllimport)
	#endif
#endif


#pragma once

class VIEW_DECLSPEC CProgressUpdater
{
public:
	virtual void UpdateProgress(unsigned int nPercentage) = 0;
};
