/*---------------------------------------------------------------------------
Copyright (C) GeoLib.
This code is used under license from GeoLib (www.geolib.co.uk). This or
any modified versions of this cannot be resold to any other party.
---------------------------------------------------------------------------*/


/**--------------------------------------------------------------------------<BR>
\file Utilities.h
\brief Declaration file for the Utilities class. 

\class Utilities
\brief Memory utils. 
<P>---------------------------------------------------------------------------*/

#pragma once

namespace Utilities
{
	void ReverseByteOrder(void* pValue, int nByteLength);

	void ReverseByteOrder(unsigned int& nValue);

	void ReverseByteOrder(int& nValue);

	void ReverseByteOrder(unsigned short& nValue);

	void ReverseBitOrder(void* pValue, int nByteLength);

	void ReverseBitOrder(unsigned char* pValue);

	bool GetBit(unsigned char* pValue, int nBit);

	void SetBit(unsigned char* pValue, int nBit, bool bOne);
}
